summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
Diffstat (limited to 'games')
-rw-r--r--games/OpenRA/OpenRA.SlackBuild3
-rw-r--r--games/OpenRA/OpenRA.info14
-rw-r--r--games/VASSAL/README3
-rw-r--r--games/VASSAL/VASSAL3
-rw-r--r--games/VASSAL/VASSAL.SlackBuild96
-rw-r--r--games/VASSAL/VASSAL.desktop9
-rw-r--r--games/VASSAL/VASSAL.info10
-rw-r--r--games/VASSAL/VASSAL.svg111
-rw-r--r--games/VASSAL/doinst.sh3
-rw-r--r--games/VASSAL/slack-desc19
-rw-r--r--games/bluez-sixaxis/README10
-rw-r--r--games/bluez-sixaxis/bluez-5.30-obexd_without_systemd-1.patch61
-rw-r--r--games/bluez-sixaxis/bluez-sixaxis.SlackBuild139
-rw-r--r--games/bluez-sixaxis/bluez-sixaxis.info10
-rw-r--r--games/bluez-sixaxis/slack-desc19
-rw-r--r--games/endless-sky/endless-sky.SlackBuild2
-rw-r--r--games/endless-sky/endless-sky.info6
-rw-r--r--games/freedink/README36
-rw-r--r--games/freedink/freedink.SlackBuild132
-rw-r--r--games/freedink/freedink.info12
-rw-r--r--games/freedink/slack-desc19
-rw-r--r--games/mangband/mangband.SlackBuild4
-rw-r--r--games/mangband/mangband.info6
-rw-r--r--games/nethack/nethack.SlackBuild8
-rw-r--r--games/nethack/nethack.info12
-rw-r--r--games/steam/README5
-rw-r--r--games/steam/doinst.sh22
-rw-r--r--games/steam/slack-desc4
-rw-r--r--games/steam/steam.SlackBuild35
-rw-r--r--games/steam/steam.info10
-rw-r--r--games/stone_soup/stone_soup.SlackBuild4
-rw-r--r--games/stone_soup/stone_soup.info6
32 files changed, 787 insertions, 46 deletions
diff --git a/games/OpenRA/OpenRA.SlackBuild b/games/OpenRA/OpenRA.SlackBuild
index c8b5193eb0..ca32d10a54 100644
--- a/games/OpenRA/OpenRA.SlackBuild
+++ b/games/OpenRA/OpenRA.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=OpenRA
-VERSION=${VERSION:-20180923}
+VERSION=${VERSION:-20190314}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,6 +70,7 @@ touch thirdparty/fetch-geoip-db.sh
echo "#!/bin/sh" >> thirdparty/fetch-geoip-db.sh
echo 'echo "success"' >> thirdparty/fetch-geoip-db.sh
chmod +x thirdparty/fetch-geoip-db.sh
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
diff --git a/games/OpenRA/OpenRA.info b/games/OpenRA/OpenRA.info
index 8d981afe24..e885285b2e 100644
--- a/games/OpenRA/OpenRA.info
+++ b/games/OpenRA/OpenRA.info
@@ -1,12 +1,12 @@
PRGNAM="OpenRA"
-VERSION="20180923"
+VERSION="20190314"
HOMEPAGE="http://www.openra.net/"
-DOWNLOAD="https://github.com/OpenRA/OpenRA/releases/download/release-20180923/OpenRA-release-20180923-source.tar.bz2 \
- http://repo.khronosschoty.org/Slackware/stuff/OpenRA/20180923/download.tar.gz \
- http://repo.khronosschoty.org/Slackware/stuff/OpenRA/20180923/GeoLite2-Country.mmdb.gz"
-MD5SUM="9fe26fce0b8895ace41c3892a5750f9b \
- c8e3ec8ecb92cc52f3497c65be97a478 \
- 7c363abb126fff6ba6f58a64ec49124a"
+DOWNLOAD="https://github.com/OpenRA/OpenRA/releases/download/release-20190314/OpenRA-release-20190314-source.tar.bz2 \
+ http://repo.khronosschoty.org/Slackware/stuff/OpenRA/20190314/download.tar.gz \
+ http://repo.khronosschoty.org/Slackware/stuff/OpenRA/20190314/GeoLite2-Country.mmdb.gz"
+MD5SUM="4ea1ba7d309bf0482979b5337677d2a3 \
+ e890273530c23cb8571a729d2aced59d \
+ 3639895811efb10ad54bf6b40980224e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="lua SDL2 mono"
diff --git a/games/VASSAL/README b/games/VASSAL/README
new file mode 100644
index 0000000000..1a71ca5c1e
--- /dev/null
+++ b/games/VASSAL/README
@@ -0,0 +1,3 @@
+VASSAL is a game engine for building and playing online adaptations of board
+games and card games. Play live on the Internet or by email. VASSAL runs on all
+platforms, and is free, open-source software.
diff --git a/games/VASSAL/VASSAL b/games/VASSAL/VASSAL
new file mode 100644
index 0000000000..2f833e3399
--- /dev/null
+++ b/games/VASSAL/VASSAL
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/games/VASSAL
+./VASSAL.sh
diff --git a/games/VASSAL/VASSAL.SlackBuild b/games/VASSAL/VASSAL.SlackBuild
new file mode 100644
index 0000000000..8fabf966a7
--- /dev/null
+++ b/games/VASSAL/VASSAL.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for VASSAL
+
+# Copyright 2019 Benjamin Trigona-Harant <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=VASSAL
+VERSION=${VERSION:-3.2.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-linux.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/games/$PRGNAM
+cp -rf lib $PKG/usr/share/games/$PRGNAM
+
+install -D -m0755 $PRGNAM.sh $PKG/usr/share/games/$PRGNAM/$PRGNAM.sh
+install -D -m0755 $CWD/VASSAL $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+install -m644 -D $CWD/$PRGNAM.svg $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+ln -s /usr/doc/$PRGNAM-$VERSION/doc $PKG/usr/share/games/$PRGNAM/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/VASSAL/VASSAL.desktop b/games/VASSAL/VASSAL.desktop
new file mode 100644
index 0000000000..54e0241956
--- /dev/null
+++ b/games/VASSAL/VASSAL.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=VASSAL
+Comment=Engine for board and card games
+Exec=VASSAL
+Icon=VASSAL
+Terminal=false
+Type=Application
+Categories=Game
+GenericName=Board and card game engine
diff --git a/games/VASSAL/VASSAL.info b/games/VASSAL/VASSAL.info
new file mode 100644
index 0000000000..985ec47196
--- /dev/null
+++ b/games/VASSAL/VASSAL.info
@@ -0,0 +1,10 @@
+PRGNAM="VASSAL"
+VERSION="3.2.17"
+HOMEPAGE="http://www.vassalengine.org/"
+DOWNLOAD="https://downloads.sourceforge.net/vassalengine/VASSAL-3.2.17-linux.tar.bz2"
+MD5SUM="dc43c18cafcf36cfbc1a0d9eb733d8d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/games/VASSAL/VASSAL.svg b/games/VASSAL/VASSAL.svg
new file mode 100644
index 0000000000..e2587ced2b
--- /dev/null
+++ b/games/VASSAL/VASSAL.svg
@@ -0,0 +1,111 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+ xmlns:svg="http://www.w3.org/2000/svg"
+ xmlns="http://www.w3.org/2000/svg"
+ version="1.0"
+ width="48"
+ height="48"
+ viewBox="0 0 151.127 180.225"
+ id="Layer_1"
+ xml:space="preserve"
+ style="overflow:visible"><defs
+ id="defs2572" />
+<g
+ id="Layer_1_2_">
+</g>
+<g
+ id="Layer_2">
+ <g
+ id="g2538">
+
+ <linearGradient
+ x1="69.4375"
+ y1="171.4016"
+ x2="133.43671"
+ y2="66.069901"
+ id="XMLID_4_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2541"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2543"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="85.97,105.295 64.872,68.752 85.97,32.212 128.162,32.212 149.259,68.752 128.162,105.295 85.97,105.295 "
+ id="polygon2545"
+ style="fill:url(#XMLID_4_);stroke:#1b2600;stroke-width:3.23709989" />
+
+ <linearGradient
+ x1="6.8662"
+ y1="135.8284"
+ x2="68.199997"
+ y2="31.8272"
+ id="XMLID_5_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2548"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2550"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="22.966,142.011 1.868,105.469 22.966,68.93 65.159,68.93 86.256,105.469 65.159,142.011 22.966,142.011 "
+ id="polygon2552"
+ style="fill:url(#XMLID_5_);stroke:#1b2600;stroke-width:3.23709989" />
+
+ <linearGradient
+ x1="73.212898"
+ y1="96.173103"
+ x2="131.87939"
+ y2="-7.8260002"
+ id="XMLID_6_"
+ gradientUnits="userSpaceOnUse"
+ gradientTransform="matrix(1,0,0,-1,0,178.2251)">
+ <stop
+ id="stop2555"
+ style="stop-color:#ddedb6;stop-opacity:1"
+ offset="0" />
+ <stop
+ id="stop2557"
+ style="stop-color:#1b2600;stop-opacity:1"
+ offset="1" />
+ </linearGradient>
+ <polygon
+ points="85.97,178.606 64.872,142.065 85.97,105.524 128.162,105.524 149.259,142.065 128.162,178.606 85.97,178.606 "
+ id="polygon2559"
+ style="fill:url(#XMLID_6_);stroke:#1b2600;stroke-width:3.23709989" />
+ </g>
+</g>
+<g
+ id="Layer_4">
+</g>
+<g
+ id="Layer_3">
+ <path
+ d="M 32.156,47.938 L 92.724,152.99 L 86.046,159.932 L 88.566,165.565 L 147.449,148.11 L 145.226,140.217 L 137.035,140.147 L 137.109,14.33 L 146.765,8.986 L 144.624,1.698 L 112.083,11.128 L 114.407,18.965 L 124.731,17.63 C 124.731,17.63 124.731,108.876 124.731,121.786 C 124.731,134.693 123.218,137.719 123.218,137.719 C 122.206,136.645 120.272,134.756 114.114,124.139 C 110.056,117.141 64.202,37.529 64.202,37.529 L 72.803,30.689 L 70.354,23.564 L 15.387,42.472 L 18.034,50.202 L 32.156,47.938 z"
+ id="path2563"
+ style="fill:#453500" />
+ <path
+ d="M 27.49,46.604 L 88.055,151.658 L 81.378,158.6 L 83.899,164.233 L 142.78,146.778 L 140.557,138.885 L 132.367,138.815 L 132.442,13.518 L 143.546,7.847 L 141.235,0 L 107.417,9.796 L 109.741,17.633 L 120.065,16.298 C 120.065,16.298 120.065,107.544 120.065,120.454 C 120.065,133.361 118.553,136.386 118.553,136.386 C 117.54,135.312 115.606,133.423 109.449,122.806 C 105.391,115.808 59.621,36.407 59.621,36.407 L 68.883,29.777 L 66.237,22.049 L 10.72,41.139 L 13.367,48.869 L 27.49,46.604 z"
+ id="path2565"
+ style="fill:#ffcc00" />
+ <polygon
+ points="107.362,139.497 96.334,146.543 37.127,44.809 43.028,41.464 50.688,40.278 107.362,139.497 "
+ id="polygon2567"
+ style="fill:#ecb500" />
+ <polygon
+ points="112.569,141.029 101.541,148.075 42.334,46.341 48.235,42.996 55.896,41.811 112.569,141.029 "
+ id="polygon2569"
+ style="fill:#ffcc00" />
+</g>
+</svg> \ No newline at end of file
diff --git a/games/VASSAL/doinst.sh b/games/VASSAL/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/VASSAL/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/VASSAL/slack-desc b/games/VASSAL/slack-desc
new file mode 100644
index 0000000000..8454296b8d
--- /dev/null
+++ b/games/VASSAL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+VASSAL: VASSAL (engine for board and card games)
+VASSAL:
+VASSAL: VASSAL is a game engine for building and playing online adaptations
+VASSAL: of board games and card games. Play live on the Internet or by email.
+VASSAL: VASSAL runs on all platforms, and is free, open-source software.
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL:
+VASSAL:
diff --git a/games/bluez-sixaxis/README b/games/bluez-sixaxis/README
new file mode 100644
index 0000000000..2a4d2b5cd2
--- /dev/null
+++ b/games/bluez-sixaxis/README
@@ -0,0 +1,10 @@
+BlueZ provides support for the core Bluetooth layers and protocols. It is flexible,
+efficient and uses a modular implementation.
+
+This package provides only the sixaxis plugin (missing from the main Slackware
+bluez release). It plugs into the existing bluez package which, as part of main
+Slackware, is expected to be installed already.
+
+To enable the sixaxis plugin after installation, you may need to restart Slackware
+or, at the very least, restart the system bluetooth facililties via the
+/etc./rc.d/rc.bluetooth script.
diff --git a/games/bluez-sixaxis/bluez-5.30-obexd_without_systemd-1.patch b/games/bluez-sixaxis/bluez-5.30-obexd_without_systemd-1.patch
new file mode 100644
index 0000000000..749787c5b3
--- /dev/null
+++ b/games/bluez-sixaxis/bluez-5.30-obexd_without_systemd-1.patch
@@ -0,0 +1,61 @@
+Submitted By: Armin K. <krejzi at email dot com>
+Date: 2013-04-29
+Initial Package Version: 5.17
+Upstream Status: unknown
+Origin: Arch Linux (Giovanni Campagna)
+Description: Allow using obexd without systemd in the user session
+
+Not all sessions run systemd --user (actually, the majority
+doesn't), so the dbus daemon must be able to spawn obexd
+directly, and to do so it needs the full path of the daemon.
+---
+ Makefile.obexd | 4 ++--
+ obexd/src/org.bluez.obex.service | 4 ----
+ obexd/src/org.bluez.obex.service.in | 4 ++++
+ 3 files changed, 6 insertions(+), 6 deletions(-)
+ delete mode 100644 obexd/src/org.bluez.obex.service
+ create mode 100644 obexd/src/org.bluez.obex.service.in
+
+diff --git a/Makefile.obexd b/Makefile.obexd
+index 3760867..142e7c3 100644
+--- a/Makefile.obexd
++++ b/Makefile.obexd
+@@ -2,12 +2,12 @@
+ if SYSTEMD
+ systemduserunitdir = @SYSTEMD_USERUNITDIR@
+ systemduserunit_DATA = obexd/src/obex.service
++endif
+
+ dbussessionbusdir = @DBUS_SESSIONBUSDIR@
+ dbussessionbus_DATA = obexd/src/org.bluez.obex.service
+-endif
+
+-EXTRA_DIST += obexd/src/obex.service.in obexd/src/org.bluez.obex.service
++EXTRA_DIST += obexd/src/obex.service.in obexd/src/org.bluez.obex.service.in
+
+ obex_plugindir = $(libdir)/obex/plugins
+
+diff --git a/obexd/src/org.bluez.obex.service b/obexd/src/org.bluez.obex.service
+deleted file mode 100644
+index a538088..0000000
+--- a/obexd/src/org.bluez.obex.service
++++ /dev/null
+@@ -1,4 +0,0 @@
+-[D-BUS Service]
+-Name=org.bluez.obex
+-Exec=/bin/false
+-SystemdService=dbus-org.bluez.obex.service
+diff --git a/obexd/src/org.bluez.obex.service.in b/obexd/src/org.bluez.obex.service.in
+new file mode 100644
+index 0000000..9c815f2
+--- /dev/null
++++ b/obexd/src/org.bluez.obex.service.in
+@@ -0,0 +1,4 @@
++[D-BUS Service]
++Name=org.bluez.obex
++Exec=@libexecdir@/obexd
++SystemdService=dbus-org.bluez.obex.service
+--
+1.8.3.1
+
+
diff --git a/games/bluez-sixaxis/bluez-sixaxis.SlackBuild b/games/bluez-sixaxis/bluez-sixaxis.SlackBuild
new file mode 100644
index 0000000000..73abec6ab4
--- /dev/null
+++ b/games/bluez-sixaxis/bluez-sixaxis.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/sh
+
+# Copyright 2009, 2010, 2011, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+# Changes for SBo, Copyright 2019 Christoph WIlling, Brisbane, Aistralia
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bluez-sixaxis
+SRCNAM=bluez
+VERSION=${VERSION:-5.47}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/${SRCNAM}-${VERSION}.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 --verbose < $CWD/bluez-5.30-obexd_without_systemd-1.patch
+
+autoreconf -vif
+
+sed -i -e 's|-lreadline|\0 -lncursesw|g' Makefile.{in,tools}
+
+# We're adding --enable-deprecated due to this commit:
+#
+# commit b1eb2c4cd057624312e0412f6c4be000f7fc3617
+#Author: Luiz Augusto von Dentz <luiz.von.dentz@intel.com>
+#Date: Wed Jan 4 14:23:58 2017 +0200
+#
+# build: Hide deprecated tools under --enable-deprecated
+#
+# This marks the following tools as deprecated as they are not longer
+# maintained or have been replaced by other tools:
+#
+# hciattach hciconfig hcitool hcidump rfcomm sdptool ciptool gatttool
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib$LIBDIRSUFFIX" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --docdir=/usr/doc/${PRGNAM}-${VERSION} \
+ --enable-library \
+ --disable-systemd \
+ --enable-deprecated \
+ --enable-sixaxis \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove everything except the sixaxis plugin
+rm -rf $PKG/etc
+rm -rf $PKG/lib
+rm -rf $PKG/usr/{bin,include,libexec,man,share}
+rm -rf $PKG/usr/lib64/{cups,lib*,pkgconfig}
+
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.sixaxis
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PRGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bluez-sixaxis/bluez-sixaxis.info b/games/bluez-sixaxis/bluez-sixaxis.info
new file mode 100644
index 0000000000..8b8096e467
--- /dev/null
+++ b/games/bluez-sixaxis/bluez-sixaxis.info
@@ -0,0 +1,10 @@
+PRGNAM="bluez-sixaxis"
+VERSION="5.47"
+HOMEPAGE="http://www.bluez.org"
+DOWNLOAD="http://www.kernel.org/pub/linux/bluetooth/bluez-5.47.tar.xz"
+MD5SUM="783e15f65e70cdb8f721c659e140dd56"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/games/bluez-sixaxis/slack-desc b/games/bluez-sixaxis/slack-desc
new file mode 100644
index 0000000000..cfa104f628
--- /dev/null
+++ b/games/bluez-sixaxis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bluez-sixaxis: bluez-sixaxis (Bluetooth plugin for Sony PS3 controller)
+bluez-sixaxis:
+bluez-sixaxis: Bluez is the Bluetooth stack for Linux, allowing Bluetooth adaptors
+bluez-sixaxis: and devices to be used with Linux. This package contains only the
+bluez-sixaxis: Bluez plugin for the Sony PS3 sixaxis controller.
+bluez-sixaxis:
+bluez-sixaxis: For more info, visit: http://www.bluez.org
+bluez-sixaxis:
+bluez-sixaxis:
+bluez-sixaxis:
+bluez-sixaxis:
diff --git a/games/endless-sky/endless-sky.SlackBuild b/games/endless-sky/endless-sky.SlackBuild
index a750d0cd19..a9ad551f05 100644
--- a/games/endless-sky/endless-sky.SlackBuild
+++ b/games/endless-sky/endless-sky.SlackBuild
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=endless-sky
-VERSION=${VERSION:-0.9.8}
+VERSION=${VERSION:-0.9.9}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
diff --git a/games/endless-sky/endless-sky.info b/games/endless-sky/endless-sky.info
index 5d7983a390..7a63e92d6a 100644
--- a/games/endless-sky/endless-sky.info
+++ b/games/endless-sky/endless-sky.info
@@ -1,8 +1,8 @@
PRGNAM="endless-sky"
-VERSION="0.9.8"
+VERSION="0.9.9"
HOMEPAGE="http://endless-sky.github.io/"
-DOWNLOAD="https://github.com/endless-sky/endless-sky/archive/v0.9.8/endless-sky-0.9.8.tar.gz"
-MD5SUM="7e5be32a89834d47fca216ab81a1f2ca"
+DOWNLOAD="https://github.com/endless-sky/endless-sky/archive/v0.9.9/endless-sky-0.9.9.tar.gz"
+MD5SUM="d5869aa19ba2418cb2494e1f0117d23e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="SDL2 OpenAL"
diff --git a/games/freedink/README b/games/freedink/README
new file mode 100644
index 0000000000..97bd639f42
--- /dev/null
+++ b/games/freedink/README
@@ -0,0 +1,36 @@
+Freedink is a free role playing game in real time. You take
+control of Dink Smallwood and guide him through his many adventures.
+There are many battles to be fought and riddles to be solved.
+You can install additional adventures through additional D-Mods
+which are available at
+
+ https://www.dinknetwork.com
+
+Optional dependency:
+- upx
+ If upx is installed on the system then it is automatically
+ detected and considered at compile time.
+
+ If for some reason this is not desired then the script
+ should be called as
+
+ ENABLE_UPX=no ./freedink.Slackbuild
+
+ If UPX resides in a non-standard location then it
+ can be provided by setting
+
+ UPX=/path/to/upx ./freedink.Slackbuild
+
+Known issues:
+- Freedink might start in a maximized, not resizable window. Parts of
+ it may be outside the Desktop. If this happens then start the
+ program from CLI in windowed mode:
+
+ freedink -i -w
+
+ Afterwards you can switch to fullscreen by pressing Alt+Enter.
+
+- Some midi files may not play. The game is still playable
+ and the sound effects are all there but music may not
+ always be available.
+
diff --git a/games/freedink/freedink.SlackBuild b/games/freedink/freedink.SlackBuild
new file mode 100644
index 0000000000..b5bcc65e3f
--- /dev/null
+++ b/games/freedink/freedink.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+
+# Slackware build script for freedink
+
+# Copyright 2019 CRTS
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=freedink
+PRGDATANAME=${PRGDATANAME:-$PRGNAM-data-*}
+PRGDATANAME=${PRGDATANAME%.tar.gz}
+VERSION=${VERSION:-109.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CONFIGURE_OPTIONS="--enable-tests=no"
+
+PATH=${UPX:+${UPX%/*}:}$PATH
+if which upx;then
+ CONFIGURE_OPTIONS="$CONFIGURE_OPTIONS --enable-upx=${ENABLE_UPX:-yes}"
+else
+ CONFIGURE_OPTIONS="$CONFIGURE_OPTIONS --enable-upx=no"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# ignore woeres.rc
+sed -i '/AC_CHECK_TOOL(WINDRES, windres)/d' configure.ac
+
+autoreconf --install --symlink --force
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure $CONFIGURE_OPTIONS \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ABOUT-NLS INSTALL README.txt AUTHORS THANKS BUILD TRANSLATIONS.txt COPYING NEWS TROUBLESHOOTING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+
+# install separate data package
+cd $TMP
+rm -rf $PRGDATANAME
+tar xvf $CWD/$PRGDATANAME.tar.gz
+cd $PRGDATANAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# no compilation required
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/data
+cp COPYING ChangeLog NEWS README-REPLACEMENTS.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION/data
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/freedink/freedink.info b/games/freedink/freedink.info
new file mode 100644
index 0000000000..fb30d2eb2f
--- /dev/null
+++ b/games/freedink/freedink.info
@@ -0,0 +1,12 @@
+PRGNAM="freedink"
+VERSION="109.6"
+HOMEPAGE="https://www.gnu.org/software/freedink"
+DOWNLOAD="https://ftp.gnu.org/gnu/freedink/freedink-109.6.tar.gz \
+ https://ftp.gnu.org/gnu/freedink/freedink-data-1.08.20190120.tar.gz"
+MD5SUM="cdec0ef4db6d15b767f696745ef0ae2f \
+ 6703e773f06dc53afa4094775beaff8d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2_image SDL2_mixer SDL2_ttf SDL2_gfx glm cxxtest"
+MAINTAINER="CRTS"
+EMAIL="crts [at] gmx [dot] net"
diff --git a/games/freedink/slack-desc b/games/freedink/slack-desc
new file mode 100644
index 0000000000..fe0576c3cf
--- /dev/null
+++ b/games/freedink/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+freedink: freedink (free RPG)
+freedink:
+freedink: Freedink is a free role play game in real. You take
+freedink: control of Dink Smallwood and guide through his many adventures.
+freedink: There are many battles to fought and riddles to be solved.
+freedink: Additional D-Mods are available at https://www.dinknetwork.com
+freedink:
+freedink: Homepage: https://www.gnu.org/software/freedink
+freedink:
+freedink:
+freedink:
diff --git a/games/mangband/mangband.SlackBuild b/games/mangband/mangband.SlackBuild
index 9669436230..b66fc7d50b 100644
--- a/games/mangband/mangband.SlackBuild
+++ b/games/mangband/mangband.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mangband
-# Copyright 2017, David Melik, Spokane, WA, USA
+# Copyright 2019, David Melik, Spokane, WA, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mangband
-VERSION=${VERSION:-1.5.0}
+VERSION=${VERSION:-1.5.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
diff --git a/games/mangband/mangband.info b/games/mangband/mangband.info
index 42bc3ce538..32aee5679c 100644
--- a/games/mangband/mangband.info
+++ b/games/mangband/mangband.info
@@ -1,8 +1,8 @@
PRGNAM="mangband"
-VERSION="1.5.0"
+VERSION="1.5.2"
HOMEPAGE="https://mangband.org/"
-DOWNLOAD="https://mangband.org/downloads/binaries/mangband-1.5.0.tar.gz"
-MD5SUM="a39d2b3f8098052c9a3afa058c021924"
+DOWNLOAD="https://mangband.org/downloads/binaries/mangband-1.5.2.tar.gz"
+MD5SUM="4cb550a19535de739d014d1a6e57353c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/games/nethack/nethack.SlackBuild b/games/nethack/nethack.SlackBuild
index d0921fd38d..f9061f8ead 100644
--- a/games/nethack/nethack.SlackBuild
+++ b/games/nethack/nethack.SlackBuild
@@ -5,7 +5,7 @@
# Written by Dugan Chen (thedoogster [at] gmail [dot] com)
# Based on the Arch Linux PkgBuild.
-# Now maintained by David Woodfall <dave@dawoodfall.net>
+# Now maintained by Dave Woodfall <dave@slackbuilds.org>
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
@@ -25,11 +25,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=nethack
-VERSION=${VERSION:-3.6.1}
+VERSION=${VERSION:-3.6.2}
+SRCVERSION=$(echo $VERSION | sed "s,\.,,g")
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-SRCVER=${SRCVER:-361}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -64,7 +64,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$SRCVER-src.tgz
+tar xvf $CWD/$PRGNAM-$SRCVERSION-src.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
diff --git a/games/nethack/nethack.info b/games/nethack/nethack.info
index bf62a59595..c2a6e26764 100644
--- a/games/nethack/nethack.info
+++ b/games/nethack/nethack.info
@@ -1,10 +1,10 @@
PRGNAM="nethack"
-VERSION="3.6.1"
-HOMEPAGE="http://nethack.org"
-DOWNLOAD="http://nethack.org/download/3.6.1/nethack-361-src.tgz"
-MD5SUM="5c469058a0d2876c274c102d56f47bb5"
+VERSION="3.6.2"
+HOMEPAGE="HTTP://NETHACK.ORG"
+DOWNLOAD="http://nethack.org/download/3.6.2/nethack-362-src.tgz"
+MD5SUM="567c89d9606456ce98c1b9535d024b8f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="David Woodfall"
-EMAIL="dave@dawoodfall.net"
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/games/steam/README b/games/steam/README
index 8b8e1172f0..db6915a01e 100644
--- a/games/steam/README
+++ b/games/steam/README
@@ -4,4 +4,7 @@ Steam provides the user with installation and automatic updating of games on
multiple computers, and community features such as friends lists and groups,
cloud saving, and in-game voice and chat functionality.
-Recomended Packages: flashplayer-plugin, libtxc_dxtn
+Depending on the game being played and hardware being used, some games may
+benefit by inclusion of flashplayer-plugin and btxc_dxtn packages from SBo.
+
+A multilib installation is required to run steam.
diff --git a/games/steam/doinst.sh b/games/steam/doinst.sh
index 5013ef6d40..976546b7e9 100644
--- a/games/steam/doinst.sh
+++ b/games/steam/doinst.sh
@@ -1,3 +1,21 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+# Update the desktop database:
+if [ -x usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
+fi
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
+
+# Update the mime database:
+if [ -x usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# Reload the udev rules to include our newly installed steam rules
+if [ -x /sbin/udevadm ]; then
+ /sbin/udevadm control --reload
fi
diff --git a/games/steam/slack-desc b/games/steam/slack-desc
index 198d4b6788..ca1aa1c411 100644
--- a/games/steam/slack-desc
+++ b/games/steam/slack-desc
@@ -11,9 +11,9 @@ steam:
steam: Steam is an internet-based digital distribution, digital rights
steam: management, multiplayer, and social networking platform developed by
steam: Valve Corporation.
-steam:
-steam: Steam provides the user with installation and automatic updating of
+steam: Steam provides the user with installation and automatic updating of
steam: games on multiple computers, and community features such as friends
steam: lists and groups, cloud saving, and in-game voice and chat
steam: functionality.
+steam:
steam: Project URL: http://store.steampowered.com
diff --git a/games/steam/steam.SlackBuild b/games/steam/steam.SlackBuild
index a9aa5a5cc4..8ffbc9175a 100644
--- a/games/steam/steam.SlackBuild
+++ b/games/steam/steam.SlackBuild
@@ -2,7 +2,9 @@
# Slackware build script for steam
-# Copyright Talos Thoren
+# Copyright 2016 Talos Thoren
+# All rights reserved.
+# Copyright 2019 Christoph Willing, Brisbane, Australia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +25,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=steam
-VERSION=${VERSION:-1.0.0.52}
+VERSION=${VERSION:-1.0.0.61}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,6 +42,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
set -e
rm -rf $PKG
@@ -48,6 +64,7 @@ cd $TMP
rm -rf $PRGNAM\_$VERSION
tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
cd $PRGNAM
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -56,6 +73,7 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
make install DESTDIR=$PKG
+sed -i -e "s/distribution.\\\n/distribution.\\\n Actually, don't worry - this is Slackware\!\\\n\\\n/" $PKG/usr/bin/steamdeps
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -64,10 +82,19 @@ mv $PKG/usr/share/man/ $PKG/usr/
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+mkdir -p $PKG/lib/udev/rules.d
+install -p -m 0644 lib/udev/rules.d/*.rules $PKG/lib/udev/rules.d/
+
+# alienBOB's trick for unfound system apps
+sed -i -e '\/usr\/bin\/env\ bash/{N;s#$#\nexport PATH="/usr/lib/steam/local:$PATH"\n#}' $PKG/usr/bin/steam
+mkdir -p $PKG/usr/lib/steam/local
+ln -sf /sbin/pidof $PKG/usr/lib/steam/local/pidof
+ln -sf /sbin/lspci $PKG/usr/lib/steam/local/lspci
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/steam/* $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/steam/steam.info b/games/steam/steam.info
index 09dfae2ea3..c830d5b030 100644
--- a/games/steam/steam.info
+++ b/games/steam/steam.info
@@ -1,10 +1,10 @@
PRGNAM="steam"
-VERSION="1.0.0.52"
+VERSION="1.0.0.61"
HOMEPAGE="http://store.steampowered.com/"
-DOWNLOAD="http://repo.steampowered.com/steam/archive/precise/steam_1.0.0.52.tar.gz"
-MD5SUM="18fe1e009d229ec2eb28e4e7fa87ebc8"
+DOWNLOAD="http://repo.steampowered.com/steam/archive/precise/steam_1.0.0.61.tar.gz"
+MD5SUM="a5d3e33a736a4abdcfe112add79af836"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="OpenAL"
-MAINTAINER="Talos Thoren"
-EMAIL="talosthoren@gmail.com"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/games/stone_soup/stone_soup.SlackBuild b/games/stone_soup/stone_soup.SlackBuild
index 0cddf86c6b..27a37cfe86 100644
--- a/games/stone_soup/stone_soup.SlackBuild
+++ b/games/stone_soup/stone_soup.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Dungeon Crawl Stone Soup
-# Copyright 2017, SlackBuilds.org Project, David Melik, Spokane, WA, USA
+# Copyright 2019, SlackBuilds.org Project, David Melik, Spokane, WA, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=stone_soup
-VERSION=${VERSION:-0.23.0}
+VERSION=${VERSION:-0.23.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
diff --git a/games/stone_soup/stone_soup.info b/games/stone_soup/stone_soup.info
index 24eac67bdb..f34211e50c 100644
--- a/games/stone_soup/stone_soup.info
+++ b/games/stone_soup/stone_soup.info
@@ -1,8 +1,8 @@
PRGNAM="stone_soup"
-VERSION="0.23.0"
+VERSION="0.23.2"
HOMEPAGE="https://crawl.develz.org/"
-DOWNLOAD="https://crawl.develz.org/release/0.23/stone_soup-0.23.0-nodeps.tar.xz"
-MD5SUM="df7b1060478a89735d535facaba1b519"
+DOWNLOAD="https://crawl.develz.org/release/0.23/stone_soup-0.23.2-nodeps.tar.xz"
+MD5SUM="a1cbcbfd909727c2ec29a8120ca3e807"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="lua PyYAML SDL2_image"